/*
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "surroundpart.h"
#include "partnames.h"
#include "ui_surroundpart.h"
#include "envycard.h"
#include "envystructs.h"
#include "mixerpartchannel.h"

#include <QTimer>
#include <QGroupBox>

#include <kdemacros.h>
#include <kparts/genericfactory.h>
#include <kdebug.h>

K_PLUGIN_FACTORY(SurroundPartFactory, registerPlugin<SurroundPart>();)  // produce a factory
K_EXPORT_PLUGIN(SurroundPartFactory( KENVY24_SURROUND_PART ) )

SurroundPart::SurroundPart( QWidget *parentWidget, QObject *parent, const QVariantList& )
    : KEnvy24Part< Ui_SurroundPart>( parentWidget, parent, KENVY24_SURROUND_PART)
{
}

SurroundPart::~SurroundPart()
{
}

bool SurroundPart::saveFile ()
{
    // nothing
    return true;
}

bool SurroundPart::openFile ()
{
    // nothing
    return true;
}

void SurroundPart::setActiveCard( EnvyCard* theCard )
{
    assert( theCard != 0 );
    kDebug() << "setActiveCard " << theCard->getCardName();
}

void SurroundPart::saveConfig( KConfigGroup* configGroup )
{
    kDebug() << "saveConfig()";
    // TODO
}

void SurroundPart::loadConfig( KConfigGroup* configGroup )
{
    kDebug() << "loadConfig()";
    // TODO
}

#include "surroundpart.moc"
// kate: space-indent on; indent-width 4; replace-tabs on;
